%define soname 17
%define libname %mklibname %{name} %{soname}
%define develname %mklibname %{name} -d

Name:		xneur
Version:	0.17.0
Release:	%mkrel 5
Summary:	X Neural Switcher
License:	GPLv2
Group:		System/X11
URL:		http://www.xneur.ru
Source0:	https://launchpad.net/~andrew-crew-kuznetsov/+archive/%{name}-stable/+files/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.12.0-cflags.patch
Patch2:		%{name}-0.16.0-link.patch

BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(enchant)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	aspell-devel
BuildRequires:	xosd-devel
BuildRequires:	gettext-devel

%description
X Neural Switcher (http://www.xneur.ru).
Automatical switcher of keyboard layout.

%package -n %{develname}
Summary:	Include Files and Libraries
Group:		Development/X11
Requires:	%{libname} = %{version}
Provides:	xneur-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n %{develname}
Development files for the package XNeur.

%package -n %{libname}
Summary:	XNeur Shared Library
Group:		System/Libraries

%description -n %{libname}
Shared libraries for the package XNeur.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make

%install
%make_install

%{__rm} -f %{buildroot}%{_libdir}/{%{name}/*.*a,*.*a}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_datadir}/%{name}
%{_bindir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libxn*.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.*
  
%files -n %{libname}
%{_libdir}/libxn*.so.%{soname}
%{_libdir}/libxn*.so.%{soname}.*

%files -n %{develname}
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}


%changelog
* Fri Apr 22 2016 daviddavid <daviddavid> 0.17.0-5.mga6
+ Revision: 1004772
- remove invalid command on "mv configure.in.orig configure.in" thus fixing build
- make patch0 compatible with "autopatch -p1"
- provides libxneur-devel

* Fri Feb 05 2016 umeabot <umeabot> 0.17.0-4.mga6
+ Revision: 939849
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 749220
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-2.mga5
+ Revision: 690730
- Mageia 5 Mass Rebuild

* Wed Apr 16 2014 alexl <alexl> 0.17.0-1.mga5
+ Revision: 615241
- imported package xneur

